Bug 2731 - Не работает CBCP и MPPE
: Не работает CBCP и MPPE
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/ppp)
: unstable
: all Linux
: P5 blocker
Assigned To:
:
:
:
:
: 3005
  Show dependency tree
 
Reported: 2003-07-05 09:12 by
Modified: 2005-08-30 12:27 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2003-07-05 09:12:37
Во-первых, пакет собирается вообще без такой поддержки

Во-вторых, был выкинут патч, который реализовывал работу через callback
scripts. Сами эти скрипты при этом в пакете присутствуют.
---

---
------- Comment #1 From 2003-09-22 19:55:26 -------
И MPPE тоже сломано, см. 
http://www.altlinux.ru/pipermail/devel/2003-July/013521.html 
http://www.altlinux.ru/pipermail/devel/2003-July/013523.html 
 
------- Comment #2 From 2003-09-22 20:02:39 -------
reassign to real mantainer
------- Comment #3 From 2003-09-22 20:03:25 -------
Просьба ускорить исправление этой ошибки.
------- Comment #4 From 2003-09-23 18:53:49 -------
This package seems to be unmaintained atm. 
------- Comment #5 From 2003-09-25 10:48:37 -------
Внимание, с MPPE рассказали еще о вот таких граблях:

---
Date: Mon, 15 Sep 2003 11:47:14 +0300
From: Elena Egorova <jeg satgate net>
To: debian-russian lists debian org
Subject: Re: poweroff

Здравствуйте,

On Mon, Sep 15, 2003 at 10:45:42AM +0300, Michael Shigorin wrote:
> > > > 2. При накладывании MPPE-MPPC-патча работает или mppe-mppc, или
> > > > SOCKET_FILTERING (нужно для dhcpd) (ядро не распаковывается).
> > > На альтовской сборке (точнее, -std-smp-2.4.22-alt2) оба работают
> > > -- и dhcpd, и dhcpcd.  Видимо, нет там этого.
> > А MPPE+MPPC есть? И pppd с ними же? ;-)
> 
> Честно говоря, просто не отслеживаю.  Слова вроде пробегали, но у
> меня сейчас практически везде "просто эзернет", включая дом :-)

MPPE+MPPC+pppd применяется для эмуляции dialup поверх других типов соединений,
в том числе и eth. Точнее, для построения VPN с поддержкой мелкомягкого
шифрования и мелкомягкой компрессии.

-- 
Elena Egorova,
SatGate LLC
---

PS: под "видимо, нет там этого" подразумевалось именно отсутствие MPPE.
------- Comment #6 From 2003-10-03 14:03:22 -------
А вот у меня MPPE работает
Правда для этого пришлось переделать kernel-feat-net-ppp-mppe и пересобрать ядро
Но ppp я не торогал, как был ppp-2.4.1.20030513-alt2, так и остался.
------- Comment #7 From 2003-10-10 21:22:38 -------
fixed (kernel-image-std-up-2.4.22-alt6 and ppp-2.4.1.20030923-alt1)